d=2; % space dimension
N=[6,9];
Oh=OrthMesh(d,N,'type','orthotope');

m=3; % maximun number of subdivision 
nme=Oh.Mesh.nme; % Number of Mesh elements
ndiscells=randi([1,m],1,nme);

sc01=fc_hypermesh.refinement.refine(Oh,ndiscells);
figure(1)
fc_hypermesh.refinement.plotsubcells(sc01)
set(legend(),'Location','eastoutside')
axis image
title(sprintf('Cells [%s]: subdivisions with orthotopes',num2str(N)))

types=ones(1,nme);
sc02=fc_hypermesh.refinement.refine(Oh,ndiscells,types);
figure(2)
fc_hypermesh.refinement.plotsubcells(sc02)
set(legend(),'Location','eastoutside')
axis image
title(sprintf('Cells [%s]: subdivisions with orthotopes',num2str(N)))

sc03=fc_hypermesh.refinement.refine(Oh,ndiscells,'simplicial');
figure(3)
fc_hypermesh.refinement.plotsubcells(sc03)
set(legend(),'Location','eastoutside')
axis image
title(sprintf('Cells [%s]: subdivisions with simplices',num2str(N)))

types=zeros(1,nme);
sc04=fc_hypermesh.refinement.refine(Oh,ndiscells,types);
figure(4)
fc_hypermesh.refinement.plotsubcells(sc03)
set(legend(),'Location','eastoutside')
axis image
title(sprintf('Cells [%s]: subdivisions with simplices',num2str(N)))

fc_tools.graphics.DisplayFigures()
